Skip to main content

Geostatistics Task API

Version: 0.1.9

Conditional simulation workflow

POST
/compute/orgs/{org_id}/geostatistics/consim

For more information, please read the guide

Request

Path parameters

The organisation identifier

Body parameters

Example: "/geoscience-object/orgs/{org_id}/workspaces/{workspace_id}/objects/{object_id}"

Reference to the Geoscience Object containing the source points used for conditioning the simulation. Supported schemas: pointset/[>=1.2,<2]

Examples: "name_of_an_attribute", "an_attribute", "an_example_attribute_name"

Reference to the attribute containing the source values. The values are transformed to normal-score space using the provided distribution.

Example: "/geoscience-object/orgs/{org_id}/workspaces/{workspace_id}/objects/{object_id}"

Reference to the Geoscience Object containing the grid to evaluate the simulation onto. A new attribute will be created on this object. Supported schemas: regular-3d-grid/[>=1.2,<2], regular-masked-3d-grid/[>=1.2,<2]

Examples: {"key":"value"}, {"another_key":123}

Search neighborhood for conditioning.

The ellipsoid, to search for points within Alias: anisotropy

The ranges of the ellipsoid

The major axis length of the ellipsoid

The semi major axis length of the ellipsoid

The minor axis length of the ellipsoid

The rotation of the ellipsoid

first rotation, about the z-axis, in degrees

second rotation, about the x-axis, in degrees

third rotation, about the z-axis, in degrees

The maximum number of samples to use for each evaluation point. Alias: max-samples

Default: 1

The minimum number of samples to use for each evaluation point. Alias: min-samples

Parameters for a continuous distribution used for normal-score transformation.

Optional weights attribute for weighted distribution

Tail extrapolation

Power model for extrapolating the upper tail of the distribution.

Denominator of the exponent for the power model (between 0 exclusive and 1 inclusive).

Maximum extent of tail, must be greater than the maximum value in the data.

Power model for extrapolating the lower tail of the distribution. Optional.

Denominator of the exponent for the power model (between 0 exclusive and 1 inclusive).

Minimum extent of tail, must be less than the minimum value in the data.

Example: "/geoscience-object/orgs/{org_id}/workspaces/{workspace_id}/objects/{object_id}"

Reference to the variogram model used to model the covariance within the domain. Supported schemas: variogram/[>=1.1,<2]

Default: "simple"

The kriging method to use for the conditioning step.

Examples: {"key":"value"}, {"another_key":123}

Sub-block discretization used for support correction within each grid block.

Default: 1

Number of subdivisions in the x direction

Default: 1

Number of subdivisions in the y direction

Default: 1

Number of subdivisions in the z direction

Examples: 274, 550, 699, 769, 907

Default: 500

Number of lines to use for the turning-band simulation.

Examples: 15, 38, 44, 83, 99

Default: 1

Number of simulations to run.

Examples: 0, 20, 55, 58, 92

Default: 38239342

Random seed for simulation and tie-breaking.

Examples: 22, 33, 64, 92, 97

Default: 5

Number of simulations to publish to the output object. If perform_validation is true, the minimum value must be at least 1.

Settings for loss calculations.

Ordered list of material categories, from lowest to highest cutoff grade

Cutoff grade for the category

Price of the metal per unit

Label for the material category

Processing cost per unit of material

Mining cost per unit of waste material

Mining cost per unit of ore material

Fraction of metal expected to be recovered during processing

The target attribute that will be created or updated with loss calculation results.

The operation to perform on the attribute.

The name of the attribute to create.

The operation to perform on the attribute.

Reference to an existing attribute to update.

Examples: [0.10641082279770497,0.5076816746043252,0.6253001935664175], [0.19891110176473303,0.5076628819776342,0.8416693481724671]

List of quantiles to compute for each location.

Examples: true, false

Whether to run validation and generate a validation report.

Context for the validation report.

Title that will appear on the report.

Key-value pairs of details to appear on the report.

Label of the context item, which will appear on the report.

Value of the context item.

Thresholds for the mean comparison in the validation report.

Threshold for the percentage difference between the reference and simulated means that is considered acceptable.

Threshold for the percentage difference between the reference and simulated means that is considered marginal.

{
"source_object": "https://example.com",
"source_attribute": "string",
"target_object": "https://example.com",
"neighborhood": {
"ellipsoid": {
"ellipsoid_ranges": {
"major": 0,
"semi_major": 0,
"minor": 0
},
"rotation": {
"dip_azimuth": 0,
"dip": 0,
"pitch": 0
}
},
"max_samples": 0,
"min_samples": 1
},
"variogram_model": "https://example.com",
"block_discretization": {
"nx": 1,
"ny": 1,
"nz": 1
},
"number_of_lines": 500,
"number_of_simulations": 1,
"random_seed": 38239342,
"number_of_simulations_to_save": 5,
"location_wise_quantiles": [
0
],
"perform_validation": false
}

Responses

200

The task result returned by the Compute API Result endpoint when the task is done

Examples: {"key":"value"}, {"another_key":123}

The target grid with simulation results.

Reference to a geoscience object. Supported schemas: regular-3d-grid/[>=1.2,<2], regular-masked-3d-grid/[>=1.2,<2]

The name of the geoscience object.

The description of the geoscience object.

The ID of the Geoscience Object schema.

Attribute containing summary statistics of the simulation results.

Attribute containing the mean of the simulations.

Reference to the attribute in the geoscience object.

The name of the output attribute.

Attribute containing the variance of the simulations.

Reference to the attribute in the geoscience object.

The name of the output attribute.

Attribute containing the minimum of the simulations.

Reference to the attribute in the geoscience object.

The name of the output attribute.

Attribute containing the maximum of the simulations.

Reference to the attribute in the geoscience object.

The name of the output attribute.

List of attributes containing quantiles of the simulation results.

Reference to the attribute in the geoscience object.

The name of the output attribute.

Quantile of the simulations, that this attribute represents.

Attribute containing the simulation results.

Reference to the attribute in the geoscience object.

The name of the output attribute.

Attribute containing the simulation results in normal score space.

Reference to the attribute in the geoscience object.

The name of the output attribute.

Attribute containing the point simulation results.

Reference to the attribute in the geoscience object.

The name of the output attribute.

Attribute containing the point simulation results in normal score space.

Reference to the attribute in the geoscience object.

The name of the output attribute.

Attribute containing the loss calculation results.

Reference to the attribute in the geoscience object.

The name of the output attribute.

Summary of the validation results.

Mean of the input values.

Mean of the simulated values.

Link to the validation report file.

Reference to a file.

The name of the file, typically the terminal segment of the path.

Examples: {"key":"value"}, {"another_key":123}

Links related to the simulation task.

Link to the validation dashboard.

{
"target": {
"reference": "https://example.com",
"name": "string",
"schema_id": "string",
"summary_attributes": {
"mean": {
"reference": "string",
"name": "string"
},
"variance": {
"reference": "string",
"name": "string"
},
"min": {
"reference": "string",
"name": "string"
},
"max": {
"reference": "string",
"name": "string"
}
},
"quantile_attributes": [
{
"reference": "string",
"name": "string",
"quantile": 0
}
]
},
"links": {}
}

303

303 response, see Compute API Execute Task documentation for more details

What is the reason for your feedback?